Last Comment Bug 1140802 - Deleting an event in the view after opening the event dialog via double-click causes a MODIFICATION_FAILED error
: Deleting an event in the view after opening the event dialog via double-click...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: unspecified
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Matthew Mecca [:mmecca]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-07 20:50 PST by Matthew Mecca [:mmecca]
Modified: 2015-03-23 06:00 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix v1 (5.62 KB, patch)
2015-03-07 21:04 PST, Matthew Mecca [:mmecca]
philipp: review+
philipp: approval‑calendar‑aurora+
Details | Diff | Splinter Review

Description User image Matthew Mecca [:mmecca] 2015-03-07 20:50:27 PST
This is a follow up to Bug 1120258.

Opening an event for editing by double-clicking the event in the view, then deleting the event in the view while the dialog is still open, results in a MODIFICATION_FAILED error. Opening the event dialog using the view context menu, or from the today pane or unifinder, does not trigger the same error.
Comment 1 User image Matthew Mecca [:mmecca] 2015-03-07 21:04:12 PST
Created attachment 8574360 [details] [diff] [review]
Fix v1

Currently, opening the event dialog by double-clicking an item in the view is the only method that calls into the createPendingModification function, which tracks pending modification jobs in the event dialog, and attempts to complete those changes first if a subsequent modification is made before the dialog is closed. Since the fix for Bug 1120258 landed, that is no longer necessary, as the event dialog will observe those changes.
Comment 2 User image Philipp Kewisch [:Fallen] 2015-03-08 00:29:44 PST
Comment on attachment 8574360 [details] [diff] [review]
Fix v1

Review of attachment 8574360 [details] [diff] [review]:
-----------------------------------------------------------------

Lets do it, thanks for looking into this! r/a=philipp
Comment 3 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2015-03-12 02:32:36 PDT
https://hg.mozilla.org/comm-central/rev/10ae8ea49f4e
Comment 4 User image Martin Schröder [:mschroeder] 2015-03-22 05:04:38 PDT
Checkin for comm-aurora (4.0) is still missing!
Comment 5 User image Philipp Kewisch [:Fallen] 2015-03-23 06:00:19 PDT
Backported to releases/comm-aurora changeset 8b4abb999d29

Note You need to log in before you can comment on or make changes to this bug.